Summary: Automount utilities including an updated version of Amd.
Name: am-utils
Version: 6.0.4
Serial: 2
Release: 3mdk
Copyright: BSD
Group: System/Servers
Source: ftp://shekel.mcl.cs.columbia.edu/pub/am-utils/am-utils-%{version}.tar.bz2
Source1: am-utils.init.bz2
Source2: am-utils.conf.bz2
Source3: am-utils.sysconf.bz2
Source4: am-utils.net.map.bz2
Prereq: /sbin/install-info
Requires: portmap
BuildRoot: %{_tmppath}/%{name}-root
Prereq: /sbin/chkconfig
Prereq: grep
Obsoletes: amd
BuildRequires: bison byacc flex gdbm-devel openldap-devel

%description
Am-utils includes an updated version of Amd, the popular BSD
automounter.  An automounter is a program which maintains a cache of
mounted filesystems.  Filesystems are mounted when they are first
referenced by the user and unmounted after a certain period of inactivity.
Amd supports a variety of filesystems, including NFS, UFS, CD-ROMS and
local drives.  

You should install am-utils if you need a program for automatically
mounting and unmounting filesystems.

%prep
%setup -q

%build
%configure	--enable-shared --sysconfdir=%{_sysconfdir} --enable-libs=-lnsl --disable-amq-mount
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/{sysconfig,rc.d/init.d}
%makeinstall

bzcat  %{SOURCE3} > $RPM_BUILD_ROOT/amd
install -m 755 $RPM_BUILD_ROOT/amd $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/amd

bzcat  %{SOURCE1} > $RPM_BUILD_ROOT/amd
install -m 755 $RPM_BUILD_ROOT/amd $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d/amd

mkdir -p $RPM_BUILD_ROOT/.automount
rm -f $RPM_BUILD_ROOT%{_sbindir}/ctl-amd

# install the default config and map files

bzcat %{SOURCE2} > $RPM_BUILD_ROOT/amd.conf
install -m 600 $RPM_BUILD_ROOT/amd.conf $RPM_BUILD_ROOT%{_sysconfdir}/amd.conf

bzcat %{SOURCE4} > $RPM_BUILD_ROOT/amd
install -m 640 $RPM_BUILD_ROOT/amd $RPM_BUILD_ROOT%{_sysconfdir}/amd.net

%clean
rm -rf $RPM_BUILD_ROOT

%pre
# Check if we have an old fashioned amd.conf and rename if to amd.net
if [ "$1" = "0" ] ; then
    if grep "auto_dir" %{_sysconfdir}/amd.conf 2>/dev/null > /dev/null ; then
	# this is okay
	exit 0
    else
	# this needs to be renamed. Still, if %{_sysconfdir}/amd.net exists, then
	# don't bother renamig it. RPM will handle it better than us here.
	if [ -e %{_sysconfdir}/amd.net ] ; then
	    exit 0
	else
	    mv -f %{_sysconfdir}/amd.conf /etc/amd.net
	fi
    fi
fi
exit 0

%post
/sbin/ldconfig
/sbin/chkconfig --add amd
/sbin/install-info %{_infodir}/am-utils.info.bz2 %{_infodir}/dir

%preun
if [ $1 = 0 ]; then
   /sbin/install-info --delete %{_infodir}/am-utils.info.bz2 %{_infodir}/dir
   /sbin/chkconfig --del amd
fi

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc doc/*.ps AUTHORS BUGS ChangeLog NEWS README* scripts/*-sample
%dir /.automount
%{_bindir}/pawd
%{_sbindir}/*
%{_mandir}/man[58]/*
%{_mandir}/man1/pawd.1*
%config %{_sysconfdir}/amd.conf
%config %{_sysconfdir}/amd.net
%config %{_sysconfdir}/sysconfig/amd
%config %{_sysconfdir}/rc.d/init.d/amd
%{_infodir}/*info*.bz2
%{_libdir}/libamu.so
%{_libdir}/libamu.so.*

%changelog
* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 6.0.4-3mdk
- automatically added BuildRequires

* Wed Aug 02 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 6.0.4-2mdk
- BM

* Tue Jul 11 2000 dam's <damien@mandrakesoft.com> 6.0.4-1mdk
- updated.

* Sat Jul 08 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 6.0.3-5mdk
- add makeinstall macro

* Tue Apr 18 2000 Jeff Garzik <jgarzik@mandrakesoft.com> 6.0.3-4mdk
- update group
- compress config files
- include omitted /etc/amd.net

* Sun Feb 20 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 6.0.3-3mdk
- --disable-amq-mount by default.
- enhance init script to be more wait4amd2die-like (r).
- make default map type to be file (r).
- get rid of the kludges (r).
- by defaut do rsize=8192,wsize=8192 (jeff).

* Fri Feb 18 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 6.0.3-1mdk
- Various BuildRequires:
- Merge with redhat version.
- 6.0.3
- Clean up specs.
- Prereq: grep.

* Thu Nov 6 1999 Damien Krotkine <damien@mandrakesoft.com>
- Version 6.0.2

* Tue May 11 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Thu Apr 08 1999 Preston Brown <pbrown@redhat.com>
- kill -HUP on reload, restart does a real restart.

* Fri Mar 26 1999 Bill Nottingham <notting@redhat.com>
- twiddle an echo in initscript

* Tue Mar 23 1999 Cristian Gafton <gafton@redhat.com>
- version 6.0 proper
- Serial:1 because to enforce versioning

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 6)

* Wed Jan 06 1999 Cristian Gafton <gafton@redhat.com>
- rebuild for glibc 2.1
- strip all binaries

* Thu Aug 13 1998 Jeff Johnson <jbj@redhat.com>
- add missing ':' to default 'opts:=nosuid,nodev'
- install info pages

* Mon Jul 13 1998 Cristian Gafton <gafton@redhat.com>
- added the NIS support that the broken configure script failed to detect

* Tue May 05 1998 Cristian Gafton <gafton@redhat.com>
- disabled autofs support on alpha
- run ldconfig in postinstall

* Mon May 04 1998 Cristian Gafton <gafton@redhat.com>
- new package to replace the old and unmaintained amd
